import 'package:api/converter/request_response/point.dart';
import 'package:api/model/request/point.dart';
import 'package:api/model/response/point.dart';
import 'package:lib/lib.dart';

class PointApiEndpoint extends DbApiEndpoint<PointRequest, PointResponse> {
  PointApiEndpoint({
    required super.database,
    super.itemFromRequest = PointRequestResponseConverter.fromRequest,
    super.itemToResponse = PointRequestResponseConverter.toResponseData,
  });

  @override
  Stream<PointResponse> getAll() {
    throw ApiActionForbiddenException("get all", "point");
  }

  @override
  Future<PointResponse> delete(String id) {
    throw ApiActionForbiddenException("delete", "point");
  }

  @override
  Future<PointResponse> update(PointRequest item) {
    throw ApiActionForbiddenException("put", "point");
  }
}
