import 'package:api/converter/db_converter/payment/team.dart';
import 'package:api/model/request/payment/driven_distance_distributed.dart';
import 'package:api/model/response/payment/driven_distance_distributed.dart';
import 'package:lib/lib.dart';

class DrivenDistanceDistributedPaymentDbConverter {
  static const String teamPaymentDbFieldName = "teamPayment";
  static const String routesDbFieldName = "routes";

  static Map<String, dynamic> toDbData(DrivenDistanceDistributedPaymentRequest request) {
    return {
      teamPaymentDbFieldName: TeamPaymentDbConverter.toDbData(request),
      routesDbFieldName: request.routeIds.toList(),
    };
  }

  static DrivenDistanceDistributedPaymentResponse fromDbData(Map<String, dynamic> map) {
    var teamPaymentData = getRequiredMapItem<Map<String, dynamic>>(teamPaymentDbFieldName, map);
    var teamPayment = TeamPaymentDbConverter.fromDbData(teamPaymentData);

    return DrivenDistanceDistributedPaymentResponse(
      id: getRequiredMapItem(DatabaseVariables.idColumnName, map),
      routeIds: getRequiredMapItem<Iterable>(routesDbFieldName, map).map((e) => e as String),
      amount: teamPayment.amount,
      teamId: teamPayment.teamId,
      createdAt: teamPayment.createdAt,
      paidBy: teamPayment.paidBy,
    );
  }
}
