import 'package:api/converter/db_converter/payment/team.dart';
import 'package:api/model/request/payment/equally_distributed.dart';
import 'package:api/model/response/payment/equally_distributed.dart';
import 'package:lib/lib.dart';

class EquallyDistributedPaymentDbConverter {
  static const String teamPaymentDbFieldName = "teamPayment";

  static Map<String, dynamic> toDbData(EquallyDistributedPaymentRequest request) {
    return {
      teamPaymentDbFieldName: TeamPaymentDbConverter.toDbData(request),
    };
  }

  static EquallyDistributedPaymentResponse fromDbData(Map<String, dynamic> map) {
    var teamPaymentData = getRequiredMapItem<Map<String, dynamic>>(teamPaymentDbFieldName, map);
    var teamPayment = TeamPaymentDbConverter.fromDbData(teamPaymentData);

    return EquallyDistributedPaymentResponse(
      id: teamPayment.id,
      amount: teamPayment.amount,
      teamId: teamPayment.teamId,
      createdAt: teamPayment.createdAt,
      paidBy: teamPayment.paidBy,
    );
  }
}
