import 'package:api/converter/db_converter/payment/payment.dart';
import 'package:api/model/request/payment/team.dart';
import 'package:api/model/response/payment/team.dart';
import 'package:lib/lib.dart';

class TeamPaymentDbConverter {
  static const String teamIdDbFieldName = "teamId";
  static const String paymentFieldName = "payment";

  static Map<String, dynamic> toDbData(TeamPaymentRequest request) {
    return {
      teamIdDbFieldName: request.teamId,
      paymentFieldName: PaymentDbConverter.toDbData(request),
    };
  }

  static TeamPaymentResponse fromDbData(Map<String, dynamic> map) {
    var paymentData = getRequiredMapItem<Map<String, dynamic>>(paymentFieldName, map);

    return TeamPaymentResponse(
      id: getOptionalMapItem(DatabaseVariables.idColumnName, map),
      teamId: getRequiredMapItem(teamIdDbFieldName, map),
      amount: getRequiredMapItem(PaymentDbConverter.amountDbFieldName, paymentData),
      createdAt: DateTime.parse(getRequiredMapItem(DatabaseVariables.createdAtColumnName, paymentData)),
      paidBy: getRequiredMapItem(PaymentDbConverter.paidByDbFieldName, paymentData),
    );
  }
}
