import 'package:api/converter/db_converter/payment/payment.dart';
import 'package:api/model/request/payment/user_to_user.dart';
import 'package:api/model/response/payment/user_to_user.dart';
import 'package:lib/lib.dart';

class UserToUserPaymentDbConverter {
  static const String paymentDbFieldName = "payment";
  static const String paidToDbFieldName = "paidTo";

  static Map<String, dynamic> toDbData(UserToUserPaymentRequest request) {
    return {
      paidToDbFieldName: request.paidTo,
      paymentDbFieldName: PaymentDbConverter.toDbData(request),
    };
  }

  static UserToUserPaymentResponse fromDbData(Map<String, dynamic> map) {
    var paymentData = getRequiredMapItem<Map<String, dynamic>>(paymentDbFieldName, map);

    return UserToUserPaymentResponse(
      id: getRequiredMapItem(DatabaseVariables.idColumnName, map),
      paidTo: getRequiredMapItem(paidToDbFieldName, paymentData),
      amount: getRequiredMapItem(PaymentDbConverter.amountDbFieldName, paymentData),
      paidBy: getRequiredMapItem(PaymentDbConverter.paidByDbFieldName, paymentData),
      createdAt: DateTime.parse(getRequiredMapItem(DatabaseVariables.createdAtColumnName, map)),
    );
  }
}
