import 'package:api/model/request/point.dart';
import 'package:api/model/response/point.dart';
import 'package:lib/lib.dart';

class PointDbConverter {
  static const String latitudeDbFieldName = "latitude";
  static const String longitudeDbFieldName = "longitude";
  
  static Map<String, dynamic> toDbData(PointRequest request) {
    return {
      latitudeDbFieldName: request.latitude,
      longitudeDbFieldName: request.longitude,
    };
  }

  static PointResponse fromDbData(Map<String, dynamic> map){
    return PointResponse(
      id: getRequiredMapItem(DatabaseVariables.idColumnName, map),
      latitude: getRequiredMapItem(latitudeDbFieldName, map),
      longitude: getRequiredMapItem(longitudeDbFieldName, map),
    );
  }
}
