import 'package:api/converter/db_converter/point.dart';
import 'package:api/model/request/route.dart';
import 'package:api/model/response/route.dart';
import 'package:lib/lib.dart';

class RouteDbConverter {
  static const String userIdDbFieldName = "userId";
  static const String teamIdDbFieldName = "teamId";
  static const String pointsDbFieldName = "points";
  static const String startTimeDbFieldName = "startTime";
  static const String endTimeDbFieldName = "endTime";

  static Map<String, dynamic> toDbData(RouteRequest request) {
    return {
      pointsDbFieldName: request.pointIds.toList(),
      userIdDbFieldName : request.userId,
      teamIdDbFieldName : request.teamId,
      startTimeDbFieldName: request.startTime.toIso8601String(),
      endTimeDbFieldName: request.endTime.toIso8601String(),
    };
  }

  static RouteResponse fromDbData(Map<String, dynamic> map) {
    return RouteResponse(
      id: getOptionalMapItem(DatabaseVariables.idColumnName, map),
      pointIds: getRequiredMapItem<Iterable>(pointsDbFieldName, map).map((e) => PointDbConverter.fromDbData(e)).map((e) => e.id).toList(),
      userId: getRequiredMapItem(userIdDbFieldName, map),
      teamId: getOptionalMapItem(teamIdDbFieldName, map),
      startTime: DateTime.parse(getRequiredMapItem(startTimeDbFieldName, map)),
      endTime: DateTime.parse(getRequiredMapItem(endTimeDbFieldName, map)),
    );
  }
}
