import 'package:api/model/request/calendar_event.dart';
import 'package:api/model/response/calendar_event.dart';
import 'package:lib/lib.dart';

class CalendarEventRequestResponseConverter {
  static const userIdRequestResponseFieldName = "userId";
  static const teamIdRequestResponseFieldName = "teamId";
  static const titleRequestResponseFieldName = "title";
  static const descriptionRequestResponseFieldName = "description";
  static const startRequestResponseFieldName = "start";
  static const endRequestResponseFieldName = "end";
  
  static Map<String, dynamic> toResponseData(CalendarEventResponse response) {
    return {
      RequestResponseVariables.idFieldName: response.id,
      userIdRequestResponseFieldName: response.userId,
      teamIdRequestResponseFieldName: response.teamId,
      titleRequestResponseFieldName: response.title,
      descriptionRequestResponseFieldName: response.description,
      startRequestResponseFieldName: response.start.toIso8601String(),
      endRequestResponseFieldName: response.end.toIso8601String(),
    };
  }

  static CalendarEventRequest fromRequest(Map<String, dynamic> map) {
    return CalendarEventRequest(
      id: getOptionalMapItem(RequestResponseVariables.idFieldName, map),
      userId: getRequiredMapItem(userIdRequestResponseFieldName, map),
      teamId: getRequiredMapItem(teamIdRequestResponseFieldName, map),
      title: getRequiredMapItem(titleRequestResponseFieldName, map),
      description: getRequiredMapItem(descriptionRequestResponseFieldName, map),
      start: DateTime.parse(getRequiredMapItem(startRequestResponseFieldName, map)),
      end: DateTime.parse(getRequiredMapItem(endRequestResponseFieldName, map)),
    );
  }
}
