import 'package:api/converter/request_response/payment/team.dart';
import 'package:api/model/request/payment/driven_distance_distributed.dart';
import 'package:api/model/response/payment/driven_distance_distributed.dart';
import 'package:lib/lib.dart';

class DrivenDistanceDistributedPaymentRequestResponseConverter {
  static const String routesRequestResponseFieldName = "routes";

  static Map<String, dynamic> toResponseData(DrivenDistanceDistributedPaymentResponse response) {
    return {
      routesRequestResponseFieldName: response.routeIds,
      ...TeamPaymentRequestResponseConverter.toResponseData(response),
    };
  }

  static DrivenDistanceDistributedPaymentRequest fromRequest(Map<String, dynamic> map) {
    var teamPayment = TeamPaymentRequestResponseConverter.fromRequest(map);

    return DrivenDistanceDistributedPaymentRequest(
      id: getOptionalMapItem(DatabaseVariables.idColumnName, map),
      routeIds: getRequiredMapItem<Iterable>(routesRequestResponseFieldName, map).map((e) => e as String).toList(),
      amount: teamPayment.amount,
      teamId: teamPayment.teamId,
      paidBy: teamPayment.paidBy,
    );
  }
}