import 'package:api/converter/request_response/payment/payment.dart';
import 'package:api/model/request/payment/team.dart';
import 'package:api/model/response/payment/team.dart';
import 'package:lib/lib.dart';

class TeamPaymentRequestResponseConverter {
  static const String teamIdRequestResponseFieldName = "teamId";

  static Map<String, dynamic> toResponseData(TeamPaymentResponse response) {
    return {
      teamIdRequestResponseFieldName: response.teamId,
      ...PaymentRequestResponseConverter.toResponseData(response),
    };
  }

  static TeamPaymentRequest fromRequest(Map<String, dynamic> map) {
    return TeamPaymentRequest(
      id: getOptionalMapItem(RequestResponseVariables.idFieldName, map),
      teamId: getRequiredMapItem(teamIdRequestResponseFieldName, map),
      amount: getRequiredMapItem(PaymentRequestResponseConverter.amountRequestResponseFieldName, map),
      paidBy: getRequiredMapItem(PaymentRequestResponseConverter.paidByRequestResponseFieldName, map),
    );
  }
}
