import 'package:api/converter/request_response/payment/payment.dart';
import 'package:api/model/request/payment/user_to_user.dart';
import 'package:api/model/response/payment/user_to_user.dart';
import 'package:lib/lib.dart';

class UserToUserPaymentRequestResponseConverter {
  static const String paidToRequestResponseFieldName = "paidTo";

  static Map<String, dynamic> toResponseData(UserToUserPaymentResponse response) {
    return {
      paidToRequestResponseFieldName: response.paidTo,
      ...PaymentRequestResponseConverter.toResponseData(response),
    };
  }

  static UserToUserPaymentRequest fromRequest(Map<String, dynamic> map) {
    return UserToUserPaymentRequest(
      id: getOptionalMapItem(RequestResponseVariables.idFieldName, map),
      amount: getRequiredMapItem(PaymentRequestResponseConverter.amountRequestResponseFieldName, map),
      paidBy: getRequiredMapItem(PaymentRequestResponseConverter.paidByRequestResponseFieldName, map),
      paidTo: getRequiredMapItem(paidToRequestResponseFieldName, map)
    );
  }
}
