import 'package:api/model/request/point.dart';
import 'package:api/model/response/point.dart';
import 'package:lib/lib.dart';

class PointRequestResponseConverter {
  static const String latitudeRequestResponseFieldName = "latitude";
  static const String longitudeRequestResponseFieldName = "longitude";

  static Map<String, dynamic> toResponseData(PointResponse response) {
    return {
      RequestResponseVariables.idFieldName: response.id,
      latitudeRequestResponseFieldName: response.latitude,
      longitudeRequestResponseFieldName: response.longitude,
    };
  }

  static PointRequest fromRequest(Map<String, dynamic> map) {
    return PointRequest(
      id: getOptionalMapItem(RequestResponseVariables.idFieldName, map),
      latitude: getRequiredMapItem(latitudeRequestResponseFieldName, map),
      longitude: getRequiredMapItem(longitudeRequestResponseFieldName, map),
    );
  }
}
