import 'package:api/model/request/route.dart';
import 'package:api/model/response/route.dart';
import 'package:lib/lib.dart';

class RouteRequestResponseConverter {
  static const String userIdRequestResponseFieldName = "userId";
  static const String teamIdRequestResponseFieldName = "teamId";
  static const String pointsRequestResponseFieldName = "points";
  static const String startTimeRequestResponseFieldName = "startTime";
  static const String endTimeRequestResponseFieldName = "endTime";
  
  static Map<String, dynamic> toResponseData(RouteResponse response) {
    return {
      RequestResponseVariables.idFieldName: response.id,
      pointsRequestResponseFieldName : response.pointIds.toList(),
      userIdRequestResponseFieldName: response.userId,
      teamIdRequestResponseFieldName: response.teamId,
    };
  }

  static RouteRequest fromRequest(Map<String, dynamic> map) {
    return RouteRequest(
      id: getOptionalMapItem(RequestResponseVariables.idFieldName, map),
      pointIds: getRequiredMapItem<Iterable>(pointsRequestResponseFieldName, map).map((e) => e as String),
      userId: getRequiredMapItem(userIdRequestResponseFieldName, map),
      teamId: getOptionalMapItem(teamIdRequestResponseFieldName, map),
      startTime: DateTime.parse(getRequiredMapItem(startTimeRequestResponseFieldName, map)),
      endTime: DateTime.parse(getRequiredMapItem(endTimeRequestResponseFieldName, map)),
    );
  }
}
