import 'package:api/model/interface/point.dart';
import 'package:api/model/interface/route.dart';
import 'package:latlong2/latlong.dart';

class DistanceService {
  final Future<Point> Function(String) getPointById;

  DistanceService({required this.getPointById});

  Future<num> calculateDistance(Route route) async {    
    var points = Stream.fromFutures(route.pointIds.map((e) => getPointById(e)));
    var distanceConverter = Distance();
    double distance = 0;

    LatLng? lastPoint;
    await for (var point in points) {
      var currentPoint = LatLng(point.latitude.toDouble(), point.longitude.toDouble());
      if (lastPoint != null) {
        distance += distanceConverter(lastPoint, currentPoint);
      }
      lastPoint = currentPoint;
    }
    return distance;
  }
}
