import 'dart:async';

import 'package:api/model/team.dart';
import 'package:dart_appwrite/dart_appwrite.dart';
import 'package:lib/lib.dart';

class TeamService extends AppwriteClient {
  late final Teams _teams;

  TeamService({required super.host, required super.projectId, required super.apiKey}) {
    _teams = Teams(client);
  }

  Future<Team> getTeam(String teamId) async {
    var team = await _teams.get(teamId: teamId);

    return Team(
      id: team.$id,
      name: team.name
    );
  }
}
