import 'package:dart_appwrite/dart_appwrite.dart';
import 'package:lib/lib.dart';
import 'package:api/model/user.dart';

class UserService extends AppwriteClient {
  late final Users _users;

  UserService({required super.host, required super.projectId, required super.apiKey}) {
    _users = Users(client);
  }

  Future<User> getUser(String userId) async {
    var user = await _users.get(userId: userId);
    
    return User(
      id: user.$id,
      email: user.email,
      name: user.name,
      isEnabled: user.status
    );
  }
}
