import 'dart:convert';

import 'package:lib/src/utils/map_helper.dart';

abstract class ApiHelper  {
  static T fieldFromRequestBody<T>(final context, String fieldName) {
    var map = jsonDecode(context.req.body);
    return getRequiredMapItem<T>(fieldName, map);
  }

  static bool hasBodyField(final context, String key) {
    try {
      var map = jsonDecode(context.req.body) as Map<String, dynamic>;
      return map.containsKey(key);
    } on FormatException catch(_) {
      return false;
    } on TypeError catch (_) {
      return false;
    }
  }
}
