import 'dart:io';

class AppwriteVariables {
  static String get projectId => Platform.environment['APPWRITE_FUNCTION_PROJECT_ID'] ?? "";
  static String userId(final context) {
    return context.req.headers['x-appwrite-user-id'];
  }
  static String trigger(final context) {
    return context.req.headers['x-appwrite-trigger'];
  }
}

class DatabaseVariables {
  static const String idColumnName = "\$id";
  static const String permissionsColumnName = "\$permissions";
  static const String createdAtColumnName = "\$createdAt";
}

class RequestResponseVariables {
  static const String idFieldName = "id";
  static const String queriesFieldName = "queries";
}
